Qt 5.6 | Qt 3D | C++ Classes | QLogicalDevice

Qt 5.6.3 Reference Documentation

# QLogicalDevice Class

(Qt3DInput::QLogicalDevice)

Header: | #include <QLogicalDevice>
qmake: | QT += 3dinput
Since: | Qt 5.5
Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Public Functions

| QLogicalDevice(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QLogicalDevice()
QVector<QAction *> | actions() const
void | addAction(QAction *action)
void | addAxis(QAxis *axis)
QVector<QAxis *> | axes() const
void | removeAction(QAction *action)
void | removeAxis(QAxis *axis)

- 6 public functions inherited from Qt3DCore::QNode

## Protected Functions

void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 properties inherited from Qt3DCore::QNode
- 2 public slots inherited from Qt3DCore::QNode
- 2 signals inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

## Member Function Documentation

### QLogicalDevice::QLogicalDevice(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QLogicalDevice.

### QLogicalDevice::~QLogicalDevice()

Destroys the instance of QLogicalDevice.

### QVector<QAction *> QLogicalDevice::actions() const

### void QLogicalDevice::addAction(QAction *action)

### void QLogicalDevice::addAxis(QAxis *axis)

### QVector<QAxis *> QLogicalDevice::axes() const

### `[protected]` void QLogicalDevice::copy(const Qt3DCore::QNode *ref)

### void QLogicalDevice::removeAction(QAction *action)

### void QLogicalDevice::removeAxis(QAxis *axis)